#!/usr/bin/env bash
NOCACHE="$(date +%s)"
URL="https://weathernews.jp/mscale/json/scale.json"
DIR="$(date +"%Y/%m")"
OUT="$(date +"$DIR/mscale.%d_%H:%M.json")"
mkdir -p $DIR
curl -s "${URL}?nocache=$NOCACHE" > $OUT
