#!/bin/bash
NOCACHE="$(date +%s)"
SCHEDULE_URL="https://smtgvs.weathernews.jp/a/solive_timetable/timetable.json"
DIR="$(date +"%Y/%m")"
OUT="$(date +"$DIR/%d_%H:%M.json")"
mkdir -p $DIR
curl -s "${SCHEDULE_URL}?nocache=$NOCACHE" > $OUT
