#!/usr/bin/env -S julia --color=yes --startup-file=no
using WeatherNews
using SQLite

function get_db()
    return SQLite.DB("sql/wn.db")
end

function main()
    db = get_db()
    s = WeatherNews.get_schedule()
    for row in s
        WeatherNews.DB.insert_schedule(db, row)
    end
end

if (abspath(PROGRAM_FILE) == @__FILE__) || (:DaemonMode ∈ names(Main, imported=true))
    main()
end
