PRAGMA foreign_keys = ON;

CREATE TABLE caster (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  n VARCHAR(32) NOT NULL UNIQUE
);

CREATE TABLE segment (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  n VARCHAR(32) NOT NULL UNIQUE,
  title VARCHAR(64) NOT NULL UNIQUE
);

CREATE TABLE schedule (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  caster_id INTEGER,
  segment_id INTEGER NOT NULL,
  jst DATETIME NOT NULL UNIQUE,
  FOREIGN KEY (caster_id) REFERENCES caster (id),
  FOREIGN KEY (segment_id) REFERENCES segment (id)
);
