#!/usr/bin/env bash
NOCACHE="$(date +%s)"
URL="https://site.weathernews.jp/site/live/json/list.json"
DIR="$(date +"%Y/%m")"
OUT="$(date +"$DIR/video.%d_%H:%M.json")"
mkdir -p $DIR
curl -s "${URL}?nocache=$NOCACHE" > $OUT
