# wn-data

## Initialize Database

```bash
sqlite3 wn.db < schema.sql
sqlite3 wn.db < 00.init.sql
sqlite3 wn.db < 01.views.sql
sqlite3 wn.db < 02.cancellation.sql
sqlite3 wn.db < 03.mscale.sql
sqlite3 wn.db < 04.video_id.sql
```

## Schema

### caster

### segment

### schedule

### cancellation 

### mscale

### schedule_joined (view)

This view was made early on to make the most common join pattern
easily accessible.  It joins the schedule table with segment and
caster so you can get a readable representation of the WN schedule.

```sql
SELECT * FROM schedule_joined ORDER by jst;
```

## Querying

The file `queries.sql` contains some sample queries to get you started.

## Updates

Realtime updates of `wn.db` can be found at [gg.vern.cc/wn-data/](https://gg.vern.cc/wn-data/).

## Links

- [>>>/jp/faaag](https://boards.4channel.org/jp/faaag) - Female Announcer and Alternative General
- [rentry.org/faaag](https://rentry.org/faaag) - /faaag/ Thread Info
- [git.vern.cc/gg/WeatherNews.jl](https://git.vern.cc/gg/WeatherNews.jl) - git repo
