using TimeZones
using Dates

"""
Turn an ISO8601 string into a ZonedDateTime with its timezone set to Asia/Tokyo.
"""
function jst2zdt(jst)
    notz = replace(jst, "+09:00" => "")
    ZonedDateTime(DateTime(notz), tz"Asia/Tokyo")
end
